Package com.salesforce.datacloud.jdbc.interceptor

## Class HyperExternalClientContextHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.HyperExternalClientContextHeaderInterceptor

All Implemented Interfaces:
  `HeaderMutatingClientInterceptor`, `io.grpc.ClientInterceptor`

    public class HyperExternalClientContextHeaderInterceptor
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Default Methods
`io.grpc.Metadata.Key<String>` `getKey()`
`String` `getValue()`
`default void` `mutate​(io.grpc.Metadata headers)`
`static HyperExternalClientContextHeaderInterceptor` `of​(Properties properties)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Method Detail

#### of

    public static HyperExternalClientContextHeaderInterceptor of​(Properties properties)

#### getKey

    public io.grpc.Metadata.Key<String> getKey()

#### getValue

    public String getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### mutate

    public default void mutate​(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`